org.fourthline.cling.model.action

## Class QueryStateVariableExecutor

- java.lang.Object
- - org.fourthline.cling.model.action.AbstractActionExecutor
  - - org.fourthline.cling.model.action.QueryStateVariableExecutor

- All Implemented Interfaces:
    ActionExecutor

      public class QueryStateVariableExecutor
      extends AbstractActionExecutor

  Special executor for one action, the deprecated "query the value of the any state variable" action.
  Author:
    Christian Bauer

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.model.action.AbstractActionExecutor

      `outputArgumentAccessors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryStateVariableExecutor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute(ActionInvocation<LocalService> actionInvocation, Object serviceImpl)`
    `protected void` | `executeQueryStateVariable(ActionInvocation<LocalService> actionInvocation, Object serviceImpl)`

    - ### Methods inherited from class org.fourthline.cling.model.action.AbstractActionExecutor

      `execute, getOutputArgumentAccessors, readOutputArgumentValues, setOutputArgumentValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryStateVariableExecutor

          public QueryStateVariableExecutor()

  - ### Method Detail

    - #### execute

          protected void execute(ActionInvocation<LocalService> actionInvocation,
                                 Object serviceImpl)
                          throws Exception

      Specified by:
        `execute` in class `AbstractActionExecutor`
      Throws:
        `Exception`

    - #### executeQueryStateVariable

          protected void executeQueryStateVariable(ActionInvocation<LocalService> actionInvocation,
                                                   Object serviceImpl)
                                            throws Exception

      Throws:
        `Exception`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.